Package ru.bitel.bgbilling.kernel.event.events

# Class ContractStatusChangingCheck

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ContractStatusChangingCheck

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ContractStatusChangingCheck extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - проверка возможности смены статуса договора .
Событие вызывается при смене статуса договора из клиента и из ЛК.
Позволяет запретить изменение или запросить подтвержедение.
Вместо ContractStatus как в других соседних событиях тут по компонентам. Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CANCEL`
  Смена статуса запрещена
  `static final int`
  `CONFIRM`
  Требуеться подтверждение
  `static final int`
  `OK`
  Смена статусв разрешена

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusChangingCheck(int contractId, int objectId, int userId, int status, Date dateFrom, Date dateTo, String comment, boolean confirmChecked)`
  `ContractStatusChangingCheck(int contractId, int userId, int status, Date dateFrom, Date dateTo, String comment, boolean confirmChecked)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getMessage()`
  `int`
  `getObjectId()`
  `int`
  `getResult()`
  `int`
  `getStatus()`
  `boolean`
  `isConfirmChecked()`
  `void`
  `setMessage(String message)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setResult(int result)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### OK

    public static final int OK
    Смена статусв разрешена
    See Also:
      - Constant Field Values

  - ### CANCEL

    public static final int CANCEL
    Смена статуса запрещена
    See Also:
      - Constant Field Values

  - ### CONFIRM

    public static final int CONFIRM
    Требуеться подтверждение
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContractStatusChangingCheck

    public ContractStatusChangingCheck(int contractId, int userId, int status, Date dateFrom, Date dateTo, String comment, boolean confirmChecked)

  - ### ContractStatusChangingCheck

    public ContractStatusChangingCheck(int contractId, int objectId, int userId, int status, Date dateFrom, Date dateTo, String comment, boolean confirmChecked)

- ## Method Details

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### getStatus

    public int getStatus()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getComment

    public String getComment()

  - ### isConfirmChecked

    public boolean isConfirmChecked()

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getResult

    public int getResult()

  - ### setResult

    public void setResult(int result)